Subject: Re: linux-next: manual merge of the drm-msm tree with the drm-next tree

From: Mark Brown <[email-masked]>
Date: Thu, 29 Jul 2021 13:25:21 +0100

On Thu, Jul 29, 2021 at 01:44:42PM +0200, Christian König wrote:
> Am 29.07.21 um 13:10 schrieb Mark Brown:
> > Hi all,
> > 
> > Today's linux-next merge of the drm-msm tree got a conflict in:
> > 
> >    drivers/gpu/drm/msm/msm_gem.c
> > 
> > between commit:
> > 
> >    60f800b2bdfa ("drm/msm: always wait for the exclusive fence")
> > 
> > from the drm-next tree and commit:
> > 
> >    1d8a5ca436ee ("drm/msm: Conversion to drm scheduler")
> > 
> > from the drm-msm tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> > 
> > diff --cc drivers/gpu/drm/msm/msm_gem.c
> > index 39c35414d7b5,5db07fc287ad..000000000000
> > --- a/drivers/gpu/drm/msm/msm_gem.c
> > +++ b/drivers/gpu/drm/msm/msm_gem.c
> 
> thanks for the fixup, but something went wrong here. The diff is just empty.
> 
> Any idea what's going on?

The change modified a function that is simply deleted so the resulting
diff was empty.